Trendyol product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-trendyol-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "689227641"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-trendyol-products"
payload = { "product": "689227641" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '689227641'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-trendyol-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "trendyol_product",
"product": "689227641",
"product_id": "689227641",
"human": "# Trendyol product\n\n- **Product:** 689227641\n- **Proxy traffic:** 823.8 KB\n- **Name:** Yenilenmiş iPhone 12 64 GB Beyaz Cep Telefonu (12 Ay Garantili) - A Kalite\n- **Brand:** Apple\n- **Price:** 17954.05 TRY\n- **Rating:** 3.99 (121 reviews)\n- **In stock:** yes\n- **Seller:** GARANTİLİ CEP",
"machine": {
"product": {
"id": "689227641",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641",
"name": "Yenilenmiş iPhone 12 64 GB Beyaz Cep Telefonu (12 Ay Garantili) - A Kalite",
"product_group_id": "532762653",
"brand": "Apple",
"brand_id": "1617",
"brand_url": "https://www.trendyol.com/apple-x-b101470",
"price": 17954.05,
"list_price": 17954.05,
"discount_percentage": 5,
"currency": "TRY",
"image": "https://cdn.dsmcdn.com/ty917/product/media/images/20230529/19/370412366/911914738/1/1_org_zoom.jpg",
"images": [
"https://cdn.dsmcdn.com/ty917/product/media/images/20230529/19/370412366/911914738/1/1_org_zoom.jpg"
],
"rating": 3.99,
"rating_count": 189,
"review_count": 121,
"favorite_count": 10978,
"is_in_stock": true,
"category": "Yenilenmiş Cep Telefonu",
"category_hierarchy": "Elektronik/Telefon/Yenilenmiş Cep Telefonu",
"breadcrumbs": [
"Elektronik",
"Telefon"
],
"gender": null,
"max_installment": 9,
"is_refundable": true,
"is_global_brand": false,
"energy_class": null,
"attributes": [
{
"name": "Dahili Hafıza",
"value": "64 GB"
},
{
"name": "Kozmetik Durum",
"value": "A seviye-Mükemmel"
}
],
"variants": [
{
"item_number": "911914738",
"value": null,
"is_selected": true,
"is_in_stock": true,
"price": 17954.05,
"barcode": "9999010110043"
}
],
"seller": {
"id": "414188",
"name": "GARANTİLİ CEP",
"official_name": "GARANTİLİ TEKNOLOJİ İLETİŞİM HİZMETLERİ ANONİM ŞİRKETİ",
"city": "İSTANBUL",
"rating": 7.7,
"image": "https://cdn.dsmcdn.com/seller-store/uploads/414188/92b8d85f-4831-4e55-90d4-ec7a0ca8e134.jpeg"
},
"other_seller_count": 3,
"other_sellers": [
{
"seller_id": "226317",
"seller_name": "HB BİLİŞİM",
"rating": 8.3,
"price": 18096.55,
"list_price": 18096.55,
"currency": "TRY",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=226317",
"has_free_cargo": true
},
{
"seller_id": "230886",
"seller_name": "Getmobil",
"rating": 7.5,
"price": 18999.05,
"list_price": 18999.05,
"currency": "TRY",
"url": "https://www.trendyol.com/apple/yenilenmis-iphone-12-64-gb-beyaz-cep-telefonu-12-ay-garantili-a-kalite-p-689227641?boutiqueId=61&merchantId=230886",
"has_free_cargo": true
}
],
"promotions": [
{
"id": "30414015",
"name": "Sepette %5 İndirim",
"type": "DiscountOnBasket",
"is_applied": true
},
{
"id": "27415355",
"name": "350 TL ve Üzeri Kargo Bedava (Satıcı Karşılar)",
"type": "Cargo",
"is_applied": true
}
]
},
"proxy_traffic_bytes": 843553
},
"total_points": 5
}E-commerce & Marketplaces
Trendyol product
Get one Trendyol product by contentId or URL: price, brand, rating, attributes, variants, seller and other sellers. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-trendyol-products
Trendyol product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Product ID or URL. e.g. 689227641
Response
Run completed.